Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.antlr
[Java] Class EnumHelper

    java.lang.Object
      org.codehaus.groovy.antlr.EnumHelper

    public class EnumHelper
    extends Object

Method Summary
`static void` | `addEnumConstant(ClassNode enumClass, String name, Expression init)`
`static ClassNode` | `makeEnumNode(String name, int modifiers, ClassNode[] interfaces, ClassNode outerClass)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Method Detail

### addEnumConstant

    public static void addEnumConstant(ClassNode enumClass, String name, Expression init)

### makeEnumNode

    public static ClassNode makeEnumNode(String name, int modifiers, ClassNode[] interfaces, ClassNode outerClass)

Copyright © 2003-2010 The Codehaus. All rights reserved.